package ervu_dashboard.model.chart.round;

import rpc.LoadGraphSource;

import ru.cg.webbpm.modules.database.api.dao.option.SortOrder;
import ru.cg.webbpm.modules.database.bean.annotation.GraphSource;
import ru.cg.webbpm.modules.database.bean.entity_graph.EntityColumn;
import ru.cg.webbpm.modules.standard_annotations.validation.NotNull;

/**
 * @author Vitaly Chekushkin
 */
public class RoundChartColumnSort {
  @GraphSource(
      value = LoadGraphSource.class,
      scanMode = GraphSource.ScanMode.CLOSEST_PROPERTY_CONTEXT
  )
  @NotNull
  public EntityColumn field;
  @NotNull
  public SortOrder sortOrder;

  public RoundChartColumnSort() {
  }

  public EntityColumn field() {
    return this.field;
  }

  public SortOrder sortOrder() {
    return this.sortOrder;
  }
}
